# Poco::Net

# class HTTPChunkedStreamBuf

Library: Net
Package: HTTP
Header: Poco/Net/HTTPChunkedStream.h

## Description

This is the streambuf class used for reading and writing HTTP message bodies in chunked transfer coding.

## Inheritance

Direct Base Classes: HTTPBasicStreamBuf

All Base Classes: HTTPBasicStreamBuf

## Member Summary

Member Functions: close, readFromDevice, writeToDevice

## Types

### openmode

typedef HTTPBasicStreamBuf::openmode openmode;

## Constructors

### HTTPChunkedStreamBuf

HTTPChunkedStreamBuf(
HTTPSession & session,
openmode mode
);

## Destructor

### ~HTTPChunkedStreamBuf

~HTTPChunkedStreamBuf();

## Member Functions

### close

void close();

### readFromDevice

int readFromDevice(
char * buffer,
std::streamsize length
);

### writeToDevice

int writeToDevice(
const char * buffer,
std::streamsize length
);